-------------------------------------------------------------------------------
 0.6.10Final by The SABnzbd-Team
-------------------------------------------------------------------------------
- Convert ambiguous Windows paths like D: and D:folder to D:\ and D:\folder
- Fix file name encoding problems when verifying using SFV files
- Add GNTP module to source distribution
- Prevent reading newzbin bookmarks when newzbin credentials are not set
-------------------------------------------------------------------------------
 0.6.10RC1 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Allow saving of category paths ending in a *
  This is will prevent the creation of job folders in the final folder
- Fix incompatibility with unrar 4.01 regarding detection of encrypted files
- Create .bak (backup) file for sabnzbd.ini before modifying it
- OSX: Compatible with Growl 1.2.2 and 1.3
- OSX: Prevent changes to SABnzbd.app folder which confused the OSX Firewall
- OSX: Fix access rights of SABnzbs.app so that restricted users can run SABnzbd
- OSX: Combined SnowLeopard/Lion DMG and separate Leopard DMG
-------------------------------------------------------------------------------
 0.6.9Final by The SABnzbd-Team
-------------------------------------------------------------------------------
- Change the OSX DMG window size (again) so that the optional "path bar"
  doesn't obsure part of the background image.
-------------------------------------------------------------------------------
 0.6.9RC2 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Generic Sorter failed to uppercase first letter of title when starting with "the/a/to" etc.
- Add "hidden" option allow_64bit_tools (lost when going from 0.5.6 to 0.6.0)
- Improve handling of non-creatable final and category folders
- Fix and I18N the "Downloaded in X days Y hours Z seconds" text in the history report.
- Change the OSX DMG window size so that the optional "path bar" doesn't obsure part of the background image.
-------------------------------------------------------------------------------
 0.6.9RC1 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Update Plush to solve minor browser incompatibilities
- On Windows the 64bit versions of par2 and unrar were never used
- Updated unrar to 4.01
- Using the "Download" button in newzbin.com RSS feeds produced malformed names.
- For OSX make a Lion and a Leopard/SnowLeopard version and show this in DMG background image
- When removing job folders in the "temporary download folder", remove everything.
  This is needed because some operating systems add spurious files and folders.
- Servers with square brackets in the name could not be removed.
- Check email parameters also when only email_rss is set.
- Try out work-around for potential memory leak in pickle.
-------------------------------------------------------------------------------
 0.6.8Final by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fix several RSS issues, due to corruption of stored RSS data
-------------------------------------------------------------------------------
 0.6.7Final by The SABnzbd-Team
-------------------------------------------------------------------------------
- Prevent immediate exit after startup when queue is empty and
  an end-of-queue action like "shutdown" was set
- Fix failure to launch browser when clicking shortcut the second time
- Allow jobs still waiting for post-processing to be deleted
- Delay starting of dowload task until after webserver is started.
- Plush: button "Purge failed NZBs & delete files" will now actually delete files
- Classic/smpl: add link "Purge failed NZBs & delete files"
- Plush: fix flashing top menu in Safari 5.1
-------------------------------------------------------------------------------
 0.6.6Final by The SABnzbd-Team
-------------------------------------------------------------------------------
- Prevent crashes when running into disk-full situations.
-------------------------------------------------------------------------------
 0.6.6RC1 by The SABnzbd-Team
-------------------------------------------------------------------------------
- When "Download only" is used, do not send downloaded NZB files to the queue
- Fix bad links coming from nzbclub.com
- A job sometimes fails verification when the option "don't download samples" is used.
  Now this option will be ignored when you click "Retry" in the history.
- File an error message when the RSS-email template is missing.
-------------------------------------------------------------------------------
 0.6.6Beta2 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fix sending of duplicate emails when using a list of recipients
- Fix handle leakage on Windows
- On OSX, SABnzbd didn't handle "Open With" of nzb.gz files properly
- Limit the amount of retries when getting a partial NZB from an index site
-------------------------------------------------------------------------------
 0.6.6Beta1 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Compatible with OSX Lion
- End-of-queue action now ignores paused items in the queue
- Fetching extra par2 files now obeys pause too
- Extension-based cleanup now also cleans sub-folders
-------------------------------------------------------------------------------
 0.6.5Final by The SABnzbd-Team
-------------------------------------------------------------------------------
- Since 0.6.3, all end-of-queue actions failed.
- Generic sort: failed to recognize years surounded by underscores.
- When running the Wizard in German, the last page crashed.
-------------------------------------------------------------------------------
 0.6.4Final by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fix silly error in the Wizard
-------------------------------------------------------------------------------
 0.6.3Final by The SABnzbd-Team
-------------------------------------------------------------------------------
- Save bookmark memory file right after reading newzbin's bookmarks
- Add new command line option --new to force new SABnzbd instance
- Plush: add "missing articles" to queue entry hover-over popup
-------------------------------------------------------------------------------
 0.6.3RC3 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Regression error: paused duplicates did not end in the queue
- Better support for standby and hibernate on Linux
- Remove the delay when items go from the download queue to History
-------------------------------------------------------------------------------
 0.6.3RC2 by The SABnzbd-Team
-------------------------------------------------------------------------------
- On OSX, the top menu sometimes uses the wrong URL to start the browser
- API: jsonp-callback now also supported in error responses
- When a job is individually pause, save admin immediately
- Sorting: support %fn parameter in folder names
- Allow a server definition with a non-resolving name to be disabled.
-------------------------------------------------------------------------------
 0.6.3RC1 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Move option "Check unpack results" to Config->Switches
  You may want to set this on because the default was off.
- Automatic redirection when addressing the HTTPS port using the HTTP url.
- Option to store the files of all jobs in a single category folder
  (enable this by appending a '*' to the storage path)
- The smpl skin failed to save the attributes of the default category
- Replace double quote characters in job folder names (to avoid Samba issues)
- When using the download button in an RSS overview, the title wasn't used as job name
- Another attempt to fix the NZB-association problem on Windows 7 with HTTPS
-------------------------------------------------------------------------------
 0.6.2Final by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fixed association of NZB files with SABnzbd, when using HTTPS-only on Windows Vista/7
  (resulted in multiple running copies of SABnzbd instead of an NZB upload)
- Fixed incorrect email date header when using other language than English
-------------------------------------------------------------------------------
 0.6.1Final by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fixed association of NZB files with SABnzbd (for real this time).
  (resulted in multiple running copies of SABnzbd instead of an NZB upload)
-------------------------------------------------------------------------------
 0.6.1RC1 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fixed association of NZB files with SABnzbd
  (resulted in multiple running copies of SABnzbd instead of an NZB upload)
- Fixed display of warning when upgrading from 0.4.x
- Fixed problem when entering NZB files with names containing accented characters
  (happened only on OSX with Firefox 4)
- Fixed several textual issues
- Add PID file support for OSX/Unix (--pid <path>)
- Fix attribute error caused by missing category field in nzbmatrix RSS feeds
- Fix nzbmatrix category support by just reading the whole "Description" field.
- Pause downloader when downloaded file cannot be written to disk.
- Fix "~/" (home-dir) support for Unix/OSX and disable for Windows
- Add Romanian translation
-------------------------------------------------------------------------------
 0.6.0Final by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fix handling of semicolon in parameters for user scripts.
- Fix attribute handling of 'addlocalfile' API.
- Fixed broken Mobile skin
- Prevent loss of sabnzbd.ini when disk is full
-------------------------------------------------------------------------------
 0.6.0RC4 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fixed History in Classic skin
-------------------------------------------------------------------------------
 0.6.0RC3 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fixed History paging with regards to queued jobs
- Changing category in the queue failed to change to the PP setting.
- Add support for categories in RSS feeds from nzb.su
-------------------------------------------------------------------------------
 0.6.0RC2 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Category returned by pre-queue script wasn't handled properly
- Stop warning about duplicate articles in an NZB, just summarize after download
- Speed-up the generation of RSS filter/preview page
- "paused" priority at the RSS feed-level wasn't handled properly
- Plush: fix some display issues
-------------------------------------------------------------------------------
 0.6.0RC1 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fix hangup during scheduled restart.
- OSX: Launch browser from menu bar with HTTPS when only HTTPS is available.
- Fix problem that caused SABnzbd always to startup in paused state.
-------------------------------------------------------------------------------
 0.6.0Beta5 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Plush: added TopMenu-toggle and show warning-line only when needed
- Plush: added "Now" menu entries for bookmarks, RSS and watched folder
- Fix failing scheduled event "pause-postprocessing"
- Improve handling of nzbmatrix waiting times
- Fix sub-optimal handling of password tries on encrypted rar files
- Allow "Default" category to be picked for all Sort functions
- Fix server test function
-------------------------------------------------------------------------------
 0.6.0Beta4 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Unix/OSX: fixed download hangup when having non-responding servers
- Fixed paging problem in Plush
- Plush now uses full window width
- New server could be not added in "disabled" mode
- Prevent a discarded duplicate job from showing up as an orphan
- Fixed disabled default script in Plush
- Emails to multiple recipients are now sent per recipient
  allowing more flexibility in email templates.
- Moved "email test" button to Config->Email
- Plush cookies renamed to prevent interference by older versions
- Stop "growl"-ing all queued jobs at startup (OSX)
- Unix/OSX: prevent queue lockup when server connect times out
- Fix problem with setting a scheduled server action
- The API should give the same byte totals as the UI
- Move email test to Config->Email
- Fix loss of PP settings when retrying
- When re-evaluating RSS entries, use original RSS categories
-------------------------------------------------------------------------------
 0.6.0Beta3 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fixed odd post-processing after upgrade
- Fixed "Send Group" option
- Fixed incorrect error handling for nzbmatrix unbookmarking
- Remove "unknown decoding" message for files without any downloaded articles
- Unstarted jobs inherited after upgrade would not download properly
- Fix failing server test after change of server address
- Add "Read all feeds now" button (will read and process all enabled feeds)
- Add 'nzb_key' for "add nzb"-only API access
- Prevent crash when incorrect host address triggers unexpected error code
- Interpret 0-sized NZB files from nzbmatrix as "not found" (and don't retry forever)
- Three way option for duplicate detection (off/ignore/pause)
- Plush: lots of styling, navigation and browser compatibility fixes
- Windows installer will now add a "Safe" entry to the Start menu
-------------------------------------------------------------------------------
 0.6.0Beta2 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fix problem in smpl skin's RSS download buttons
- Fix paging and flag display in Wizard
- Add clear-downloaded jobs in RSS
-------------------------------------------------------------------------------
 0.6.0Beta1 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Text and translation fixes
-------------------------------------------------------------------------------
 0.6.0Alpha13 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Duplicate NZBs will not be rejected but entered the queue
  as "paused" and flagged. Manual resuming will start the download anyway.
- Add INI-only option to ignore unrar timestamps
- More Plush touch-ups
- Translation updates
-------------------------------------------------------------------------------
 0.6.0Alpha12 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Delete from History did not always work
- "Add server" dialog was broken
- Add confirmation dialog to deleting from RSS feed table
- Improve Queue and History deletion and purge in Plush
- Cosmetic improvements to Plush
-------------------------------------------------------------------------------
 0.6.0Alpha11 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Plush tweaks
- Failed URL-based NZB fetches were not moved to History but became dead queue entries
- Empty NZB files are now refused
- Make some hard-coded texts in Plush translatable
- Encrypted rar files without available password were not reported properly
- Remove race condition which could cause crash of URL-based NZB fetches
-------------------------------------------------------------------------------
 0.6.0Alpha10 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fixed issue in email that prevented HTML emails templates from working
- Identical host:port combos are allowed for Usenet servers now
- After auto-pause om encrypted files don't stop again after the user resumes
- In RSS feeds give the feed-level category priority over the trackers's derived category
- Add API handlers for new [rss] and [categories] entries.
- Fix incorrect handling of End-Of-Queue script when NICE or IONICE parameters have been set
- Filter hidden files and folders from script pick list
- Make "folder_check" accessible from the UI
- End-of-queue action could be be cleared properly from the INI file
-------------------------------------------------------------------------------
 0.6.0Alpha9 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Plush top menu and navigation improvements
- Active jobs sometimes showed up as orphaned jobs
- Post processing retries in SMPL skin (not fully funtional)
- Apply category attributes to RSS feed jobs correctly
- Drop support for Python 2.4
- Add json-p support by support 'callback' parameter in API
-------------------------------------------------------------------------------
 0.6.0Alpha8 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Prevent active and waiting post-processing jobs from showing up
  in the orphans list.
- Simplified Wizard (No skin selection, Usenet server first)
- Accept non-alphanumerical characters in {{category}}name.nzb
- Add priority support to RSS feeds
- Add 'paused' as an extra priority in RSS feeds
- Add %dn to Series terms (original job name)
- Add hidden option "never_repair".
- The Windows version writes its API URL to the registry
- Colons were removed from folder names
- Fix crash when an RSS feed had no filters
-------------------------------------------------------------------------------
 0.6.0Alpha7 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Post-processing would crash on empty category folder
-------------------------------------------------------------------------------
 0.6.0Alpha6 by The SABnzbd-Team
-------------------------------------------------------------------------------
Features:
- Plush now has tabbed Config pages
- Add retention time parameter to servers so that articles too old will not be tried
- Disable top_only option (interferes with "retention" implementation)
- Option to automatically remove nzbmatrix bookmark after successful download
Bugs:
- Prevent blocking of RSS preview by automatic RSS read-out
- Windows binary had issues with sending non-english emails
- Explicit RSS filter attributes (category, script, pp) influenced each other
  within a feed definition
- rss_scan is now a scheduable event and will override the rss_rate option.
- Improve handling of colon characters in filenames (compensating for par2 issues)
- NZBs would be left behind, despite ".nzb" being in the cleanup-list
- When only individually paused jobs are in the queue, unpausing them
  would not always resume downloading
- Use nzbmatrix.com's new V1.1 api.
- Sanitize nzbname parameter coming from API calls (led to problems with some
  third-party utilities)
- NZB-chaining should ignore the duplicate NZB check and fix cleanup
  of "complete" folder after NZB-chaining.
- Plush did not save end-of-queue action.
- Zipped NZB files from URLs were not accepted.
- OSX: The end-of-queue action "Hibernate" shut down the system.
-------------------------------------------------------------------------------
 0.6.0Alpha5 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Plush now has multi operations for the queue
- You can now see any orphaned folders in "temporary download folder"
  and choose to delete or to re-add to the queue (Classic: Config-Main, others: Connections)
  (This replaces the "Scan" button, which was a blunt instrument)
- There is now Default category, which provides attributes for all "Default" settings.
  The default PP, script and priority in Config->Switches are therefor removed.
- nzbmatrix bookmarks are removed after successful download/post-processing
  (If you really don't want that, use the INI-only 'del_bookmark' option)
- NZB chaining now ignores duplicate check.
  (Chaining is automatic re-queuing of a download containing only NZB(s))
- Improve sorting of rar files to enable streaming
- Normally when enabling HTTPS, the HTTP port will still be active.
  Now you can choose to run HTTPS-only on the standard port.
  -------------------------------------------------------------------------------
 0.6.0Alpha4 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fix crash after queue repair cycle, which prevented restart
- end-of-queue hibernate on OSX did shutdown instead of sleep
-------------------------------------------------------------------------------
 0.6.0Alpha3 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Season sort got confused when show title contained a dot
- Restore newzbin support in Plush
- Show speeds from MB and higher with one decimal
- Restore detection of empty downloads
- Fix crash in post-processor caused by non-plain-ASCII in user script output
- Proper converion of 0.5.x language codes and skin names
- A repair scan would pick up folders waiting for retry in History, creating double entries
- Small fixes
-------------------------------------------------------------------------------
 0.6.0Alpha2 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Proper packaging
-------------------------------------------------------------------------------
 0.6.0Alpha1 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Redesign of the download queue allowing repairs and retries of post-processing
- pre-queue user script
- optional email sent when RSS sends jobs to the queue
- Redesign of the Config-RSS pages (note: "smpl" does not work here)
- Full Windows Service support
- Byte counters per server and independent of History database
- Many bugfixes
-------------------------------------------------------------------------------
 0.5.5RC1 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Add Norwegian translation
- Remove illegal characters from nzbname parameter in API calls
- Add INI-only option "api_warnings" to enable/disable warnings
  about unauthenticated access to the API.
-------------------------------------------------------------------------------
 0.5.4Final by The SABnzbd-Team
-------------------------------------------------------------------------------
- Ensure that sabnzbd.ini has no group/world access (Unix, OSX)
-------------------------------------------------------------------------------
 0.5.4RC1 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Support unpacking of rar-files embedded in zip-files
- Compensate for IPV6 issues of Chrome on OSX
- Changes in dirscan-speed are now immediately effective
- Reduce amount of logging
- On Windows, detect whether sqlite3.dll is missing. If so, panic and
  complain about lame virus scanner.
- Add hidden option "queue_complete_pers" to select non-persistence of
  non-script end-of-queue actions.
- Restrict square bracket substitution to server names
- Add hidden option "allow_64bit_tools" to allow or prevent use of 64bit par2 and unrar.
-------------------------------------------------------------------------------
 0.5.3Final by The SABnzbd-Team
-------------------------------------------------------------------------------
- Embed nzbmatrix categories in SABnzbd (preventing problem in OSX)
- Remove leading spaces in user script output display
- Solve problems with passing filenames with '&' as parameter in user scripts
- Allow leading empty lines in email templates
- Prevent oversized logfile when logging fails
- Remove double header in email (some email server choke on that)
-------------------------------------------------------------------------------
 0.5.3RC2 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fixed error in 101 season/episode handling (prevent years like 2010 from matching)
- Fixed error in saving some email options
- Accept ".nzb.gz" files coming from an URL fetch.
- Make sysload support for Linux more universal
- Restore newzbin support in UI
- RSS feeds are now listed in alphabetic order
- Fixed error handling & in names sent to post-processing script (Windows)
-------------------------------------------------------------------------------
 0.5.3RC1 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Support of nzbmatrix categories
- Support of X-DNZB headers for all indexing sites (allows categories for nzbs.org)
- Support 101 season/episode notation
- Use all text after the season/episode element as episode name (don't require '-')
- Support of categories in RSS feeds
  (only for compatible feeds, like nzbmatrix.com and nzbs.org)
- Accumulate all groups from an NZB (for category matching)
- After reducing connections SABnzbd should retry full amount 10 min later
  This event was sometimes missed
- Recursive unpack of archives should be done in nested folders instead of base folder
- Sort strings with an absolute path were not handled properly
- Restore compatibility with Python 2.4
- Several fixes to improve robustness of NZB retrieval from indexers
- Solved crash in NZB retrieval from indexers when explicit PP value was set
- Remove newzbin features from UI
-------------------------------------------------------------------------------
 0.5.2 Final by The SABnzbd-Team
-------------------------------------------------------------------------------
- API: &nzbname= was ignored for some sites
- API: Server rename did not work properly
- Remember end-of-queue action for next end-of-queue
- Some updates to Danish
-------------------------------------------------------------------------------
 0.5.2 RC1 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fixed: Large queue caused very slow UI and high memory usage
- Fixed: Some very large rar sets failed to unpack
- Fixed: garbled emails were sent
- Python user scripts now run properly on OSX
- Fixed: SeasonSort could produce trailing spaces, which fail on Windows
- Fixed: unpacking errors not properly reported to user script
- Keep trying when receiving garbage from nzbmatrix.com
- Add total-size fields to API-call History.
- Auto-search for free port when specified port is occupied
- Improve reporting of newzbin errors
-------------------------------------------------------------------------------
 0.5.1 Final by The SABnzbd-Team
-------------------------------------------------------------------------------
- Fix accented character problems in emails
- Warn when user doesn't have permission to use a web port (Linux/OSX)
-------------------------------------------------------------------------------
 0.5.1 RC2 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Accept comma-separated email address in "email_to" option.
- Allow manual retry of URL-based NZB fetches when a bad NZB is received
- Add INI-file option "size_limit" that sets any oversized job
  to paused and low priority.
- Added French translation of email template
- Add Danish translation
-------------------------------------------------------------------------------
 0.5.1 RC1 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Add 'size_limit' option. Any job bigger than this limit will be set to
  low priority and be paused.
- TV Season sort now has "affected categories" too. Check your settings!!
- Fixed problems that could lead to an infinite unpacking loop
  (when using a "sick" NZB and using +U instead of +D postprocessing)
- Duplicate title checking in RSS is now done across all feeds
- Fixed issues with accented characters in NZB names when using RSS
- Fixed issues with accented characters in category folder names when using RSS
- Plush: fix nzo range selection when clicking checkboxes
- When detecting an unsupported unrar on Posix systems, drop unsupported features
  (This may lead to files being lost when duplicate names exist.)
- Sorting examples were sometimes wrong
- Sorting couldn't handle some pattern combinations
- Fixed priority handling for RSS feeds and newzbin bookmarks
- Fixed crash occuring when user profile contains characters outside ISO-8859-1
- Allow nzb-backup folder field to be cleared
- When using only manual newzbin bookmark reading, allow automatic un-bookmarking
- Fixed several translation errors and omissions
- Keep Windows awake during post-processing of last job (while queue is already empty)
- Make it possible to run Python user scripts on OSX
-------------------------------------------------------------------------------
0.5.0Final by The SABnzbd-Team
-------------------------------------------------------------------------------
- Relabeled to 0.5.0
-------------------------------------------------------------------------------
0.5.0RC8 by The SABnzbd-Team
-------------------------------------------------------------------------------
- Add par2_multicore option to Config->Switches
- Windows/OSX: Replaced OpenSSL libraries
- Windows: Replaced par2-multicore by new version
-------------------------------------------------------------------------------
0.5.0RC7 by The SABnzbd-Team
-------------------------------------------------------------------------------
Fixes:
- When priority of newzbin or RSS job comes from the category, it wasn't effective.
- When unpacked file and directly download file have the same name,
  the latter got lost
- Make nzbmatrix error handling robust
- When apikey is present in API call, do not require username/password
- Windows installer is now multi-language too
- Windows installer warns about queue when upgrading from 0.4.x
-------------------------------------------------------------------------------
0.5.0RC6 by The SABnzbd-Team
-------------------------------------------------------------------------------
Changes:
- Add INI-only option "par2_multicore" to enable/disable par2-multicore
Fixes:
- Prevent crash in RSS due to odd characters
- Prevent deadlock in downloader when server is blocked
- Unrar option -ai  should only be used on Windows
- Prevent deletion of par files of other sets in multi-set NZBs
-------------------------------------------------------------------------------
0.5.0RC5 by The SABnzbd-Team
-------------------------------------------------------------------------------
Fixes:
- Incorrect job rename in SMPL skin on Windows
- INI-only option "no_penalties" to limit timeout penalties for
  non-optional servers to 1 minute
- HTTPS certificate paths should default to admin_dir directive
- The second parameter of the user script should be the original NZB file name,
  even when the job has been renamed.
- Show clear error message when RSS feed preview or force-download fails.
- Don't warn about RSS reading problems when a scheduled scan is done.
- Ignore empty "username" and "apikey" parameters in nzbmatrix.com URLs
  and add stored values.
- Suppress authentication warning for API call "get_scripts".
  It's used by some external utilities to determine if username/password is required.
-------------------------------------------------------------------------------
0.5.0RC4 by The SABnzbd-Team
-------------------------------------------------------------------------------
Fixes:
- Ignore read-only attributes of files in a RAR archive
- Remove potential crash on OSX when handling corrupt par2 file
- Enable manual unblocking of permantly blocked servers
- Retry permanently blocked servers after 30 minutes (compensate for shoddy servers)
- INI-only option "folder_length_max" for trimming folder name size
  (default 128 for Windows, for others 256)
- Give unrar preference over rar when both installed on a Posix system
-------------------------------------------------------------------------------
0.5.0RC3 by The SABnzbd-Team
-------------------------------------------------------------------------------
Fixes:
- Avoid potential crash when server closes connection
- On Connections Page: show original error message sent by server
- Make sure unrar check isn't done for OSX
-------------------------------------------------------------------------------
0.5.0RC2 by The SABnzbd-Team
-------------------------------------------------------------------------------
Fixes:
- Increase timeout for nzb fetches from URLs to 60 sec
- Duplicate title checking in RSS is now case-insensitive
- Only warn about presense of old queue when no new queue is present yet
- Don't warn when a supported RAR (instead of UNRAR) program is present
-------------------------------------------------------------------------------
0.5.0RC1 by The SABnzbd-Team
-------------------------------------------------------------------------------
Fixes:
- Fix broken server test in Wizard and Config->Servers
- Add tbbmalloc.dll to par2 program (prevents problems when you have
  another version of that file on your system)
- Fix uneven download speed of very large NZBs
- Include special par2 variant for OSX 10.6+ (automatically selected)
- Fix problem with the script folder path containing a space
- Fix disabling of RSS feeds when changing settings
- When forcing disconnect don't try to send "Quit" to a non-responding server
- Warn user (once) about presence of old queue file
- Updated German texts
-------------------------------------------------------------------------------
0.5.0Beta6 by The SABnzbd-Team
-------------------------------------------------------------------------------
Fixes:
- Solve problems with unwilling servers and "random" server time-outs.
- Do not generate warnings for intermittent server problems.
- Joinable rar-sets were not always properly joined.
- Fixed timing problems when SABnzbd is running behind an Apache server
- Don't report failed default permissions setting when the user has set none
-------------------------------------------------------------------------------
0.5.0Beta5 by The SABnzbd-Team
-------------------------------------------------------------------------------
Fixes:
- Removed potential deadlock from Downloader
- Allow backup servers to be used when all primaries blocked or inactive
- Scheduled PAUSE_ALL failed to stop downloading
- Will now continue unpacking other rar-sets when one rar-set fails to unpack
  (but only when option "Post-process Verified jobs" is off)
- QuickPar messed up the par files of multi-set NZBs
- When the par2 tool joined multi-part files of a multi-NZB, it mixed up files
  from other sets
- Work-around for a bug in par2-tbb (making if fail to join some multi-part jobs).
- When scaling down the number of connections of a server,
  will now retry with the full amount 10 minutes later.
-------------------------------------------------------------------------------
0.5.0Beta4 by The SABnzbd-Team
-------------------------------------------------------------------------------
Fixes:
* Fixed poor reliability of reading RSS feeds and subsequent NZB fetches
  (caused by a too short time-out value).
* Posix: when user has not set a permissions value, use the account's
  default permissions (prevents problems with permissions coming from rar files)
* When option "Post-process only verified jobs" is set, do not execute
  user-script when job fails
* NZB files read in from categorized watched folder did not inherit
  the category's priority
* Fixed error reporting about incorrect NZB file
* Improved year recognition in tvsort
* Some skin fixes
-------------------------------------------------------------------------------
0.5.0Beta3 by The SABnzbd-Team
-------------------------------------------------------------------------------
Fixes:
* Solved problems with adding NZB by URL (also through RSS)
* Proper display of download speed in OSX menu
* Fixed compatibility of Plush and IE8
-------------------------------------------------------------------------------
0.5.0Beta2 by The SABnzbd-Team
-------------------------------------------------------------------------------
Fixes
* nzbmatrix.com support fixed (fetch NZB and Wizard settings)
* Problems on some systems because of reading NZB-spec from newzbin
  for each NZB file
* When an RSS feed has more than 9 filters, the order was disturbed
* Fixed several TVSort problems including a hangup
* Each RSS preview added jobs marked "will not be downloaded"
  instead of just the very first scan.
* Email reporting disk-full was malformed
* Sample detection was to eager to detect
* Improve detection of 64bit versions of Windows Vista/7/Server2008
* Explicit priorities in nzb upload were ignored
* Corrections in translations
Improvements
* INI-only option to reduce the amount of admin saves (important for very large NZBs)
* INI-only option to enable/disable final folder renaming (__UNPACK/__FAILED)
* Fixed OSX uninstaller so that it will leave extra skins on the disk
* Association of NZB files with SABnzbd for OSX
* Retry folder renames and deletions on Windows
* Don't save RSS admin to disk, when no feeds are active

-------------------------------------------------------------------------------
0.5.0Beta1 by The SABnzbd-Team
-------------------------------------------------------------------------------
Highlights
    * Multi-language UI: English, French, Dutch, German and Swedish
    * Start-up Wizard to get you going fast
    * QuickCheck : on-the-fly par2 check. When a download is correct,
      the normal par2 check is skipped
    * Configuration changes take immediate effect (except skins and some system folders)
    * Job priorities, individual job pausing, job renaming
    * Flexible server setup (scheduled on/off, optional servers)
    * The Plush and Smpl skins have been improved and are a lot faster than before
      and they have paging
    * New "Mobile" skin (replaces iPhone-skin)
    * RSS supports more sites and has generally improved
    * For Windows distribution: 64-bit par2 and unrar are used
      on 64-bit Vista/Win7/Server2008
    * Support for password protected rar-files (limited)
    * Expanded TV/Movie sorting
More Tech stuff
    * HTTPS support for the Web-UI
    * Email templates to design your own emails (including multiple recipients)
    * Extensive API for utility developers
    * History survives a full queue/admin clean and future upgrades
    * Windows: optional association of NZB files with SABnzbd (double-click support)

-------------------------------------------------------------------------------
0.5.0Alpha12 by The SABnzbd-Team
-------------------------------------------------------------------------------
* Drop country names from language strings
* Fixed crash when setting script to None
* Add missing "Restart required" messages in Config->General in Classic and Smpl
* When pause-download-while-pp is reset, resume downloading immediately
-------------------------------------------------------------------------------
0.5.0Alpha11 by The SABnzbd-Team
-------------------------------------------------------------------------------
* Fix foreign character problems in several places
* Add Swedish translation
* Plush tweaks
* Allow foreign characters in email templates
* Prevent selection of "Mobile" skin as primary
-------------------------------------------------------------------------------
0.5.0Alpha10 by The SABnzbd-Team
-------------------------------------------------------------------------------
* Fix foreign character problems in several places
* top_only option wasn't changable on-the-fly
* Windows uninstaller left behind some files
* Complete the API with the del_config function
* German translation
* Plush tweaks
-------------------------------------------------------------------------------
0.5.0Alpha9 by The SABnzbd-Team
-------------------------------------------------------------------------------
* Fixed bug in handling fetching of additional par2 files
* Fixed nzbmatrix support properly
* Fixed potential urlgrabber crash on startup
* Fixed problem with NZB files containing space before ".nzb"
* Fixed Windows Vista/7/Server2008 x64 detection
* Allow feed:// syntax in RSS feeds
* Restore 0.4.x compatibility for the RSS URL.
* Even more Plush improvements
-------------------------------------------------------------------------------
0.5.0Alpha8 by The SABnzbd-Team
-------------------------------------------------------------------------------
* Fixed failing RSS filters
* Fixed nzbmatrix.com RSS support
  Note: you URL must contain username and ApiKey
-------------------------------------------------------------------------------
0.5.0Alpha7 by The SABnzbd-Team
-------------------------------------------------------------------------------
* Use RSS titles for job names instead of downloaded filename.
  (This bypasses newzbin's filename mangling).
* URL grabber will do 5 retries before giving up (and generate
  correct retry links in History).
* RSS support for nzbserien.org (and slight improvement for nzbs.org)
* Plush overhaul
* "smpl" is now the preferred skin, "Default" renamed to "Classic".
* Detect internal problems and restart SABnzbd if found
* Enable "hibernate" and "standby" as end-of-queue actions for Linux systems
  (Will only work if supported by the kernel of your platform)
* Update to unrar 3.90 (OSX and Windows)
* Remove segment files after par2-based joining
* Internationalisation of all texts in History
* Internationalisation of email templates
* Prevent crash when encountering a corrupt par2 file during QuickCheck
* Added new api call: api?mode=warnings&name=clear
* Added new api call: api?mode=translate&value=ACRONYM&output=json
* Priorities in RSS feeds now work properly
* Add "Require" filter type for RSS feeds
* Add SSL type (V23, V2, V3), only needed for som odd ISP's
* Add INI-file-only option to skip the check after unrar.
  This is to support people with consistently failing checks.
* Passwords for encrypted RARs can be set in the job title
-------------------------------------------------------------------------------
0.5.0Alpha6 by The SABnzbd-Team
-------------------------------------------------------------------------------
* Add 64bit unrar/rar 3.90 for Windows
* "Mobile" skin (limited functionality)
* Removed a number category-related problems
* Scan enabled RSS feeds 15 sec after startup
* Get newzbin bookmarks 20 sec after startup
* Add scheduled pause-all command thats stops all disk activity
* Improved handling of accented characters (also in par2)
* Unrelated empty folders are no longer removed from "incomplete" folder
* Initial runs of RSS will no longer be downloaded by "download" button
  instead thay are marked and can be downloaded individually
* TV Sort: Fixed double brackets () naming on items with the country in the name.
* Disable password completion by browsers on Config pages.
* Retry links in History were incorrrect
* Solved lots of small bugs
* Skin improvements
-------------------------------------------------------------------------------
0.5.0Alpha5 by The SABnzbd-Team
-------------------------------------------------------------------------------
* Less bugs
-------------------------------------------------------------------------------
0.5.0Alpha4 by The SABnzbd-Team
-------------------------------------------------------------------------------
* Less bugs
-------------------------------------------------------------------------------
0.5.0Alpha3 by The SABnzbd-Team
-------------------------------------------------------------------------------
* Session/API key system ported from 0.4.11
* Multi-language, including Dutch and French translations
* Less bugs
-------------------------------------------------------------------------------
0.5.0Alpha2 by The SABnzbd-Team
-------------------------------------------------------------------------------
* Fixed failing delete-bookmark-on-newzbin feature.
* Wizard improvements
* Plush improvements
* par2 for OSX replaced
* Added penalty timeout for unresponsive servers (when flagged as "optional").
* Fixed some incompatibilities with Python 2.4 and 2.6
* TV sorting improved
* Support for :: or [::] as valid hostnames. :: listens on all ipv6 addresses.
* Allow non-conforming RSS feeds (fixes nzbmatrix.com issue)
-------------------------------------------------------------------------------
0.5.0Alpha1 by The SABnzbd-Team
-------------------------------------------------------------------------------
Core Stuff:
* Updated Cherrypy - Among other things, this means you can now use HTTPS for the
  web ui and have a prettier login window if you use a login/pass.
  We have also dropped the need for /sabnzbd/ in the urls you use to access sabnzbd.
  It'll still work with /sabnzbd/, but it will also work without it now.
* New XML Parser - Results in lower memory usage when reading .nzb files, especially large ones.
* File Quick-Check - We can now skip par2 verification altogether in some cases by performing
  a quick-check of file hashes before post-processing.
* New Quick-Start Wizard - If you don't have any servers set, you'll get a neat little
  five-page wizard allowing you to change all the config settings you really need to worry about.
  Stuff like "How should SABnzbd be accessible? Remotely or locally?" and "What's your server address",
  in a step by step manner. Features a button on the server page to test the connection to the news server,
  to make sure you have entered your details correctly.
* Revamped Config System - The configuration backend was overhauled in 0.5.
  Many of the config pages have been changed around to make more sense,
  you can now easily enable/disable servers, and in general all server interaction is much faster than before.
* E-mail Templates - The e-mail system from 0.4.x has been updated to have a full template system,
  allowing you to customize e-mail alerts.
* File Association - .nzb files are now associated with SABnzbd, so you can just double click them
  to load the file into your queue. Currently only Windows is fully supported, however
  you can launch SABnzbd with arguments containing a path, or multiple paths to local nzb/rar/zip files.
* .TS Filejoining - File joining has been improved to allow support for joining multiple .TS files into one file.
* Date Sorting - To compliment series sorting, sorting has now been added for downloads with dates in their names,
  allowing you to place files in daily, monthly, yearly folders with proper naming
* General Sorting - Sorting for general downloads allows users to expand the series sorting into
  other types of downloads. Has support for years in titles allowing files to be placed in folders
  depending on the decade.
The API:
* Totally overhauled for 0.5. Basically, you now have full access to near everything about
  SABnzbd via POST and XML/JSON. See the full docs for more details. Why does this matter?
  It means if you know any programming language and understand how to parse XML/JSON and POST data to an URI,
  then you can write some application which can communicate with SABnzbd almost as easily as a template can.
The Queue & History:
* Per-Item Pause - Now, in addition to being able to pause the whole queue, you can also pause
  individual items in the queue. You can also force downloads to start while the whole queue is paused.
* Priorities - The queue now has four priorities, Normal, High, Low and force.
  Think of this as an easy method to move things around your queue, or to insert things into
  specific areas of your queue. One use case is to set everything to "normal" by default,
  so it works like 0.4.x. However, you can then add a new post or RSS feed as high-priority to have it be
  inserted to the top of the queue, or add one as low-priority to have it inserted at the bottom of the queue
  and keep below normal downloads that are added. Forced items will go straight to the top of the queue,
  and will continue to download even if the queue is paused.
* New History Backend - The history is now stored in a database, so we can handle larger histories better,
  and store more information about downloads.
Skins:
* General Template Changes - Templates have all been updated to support all the neat new features.
  So if you're one of those guys still married to Default, don't worry about missing out on all this new stuff.
* Plush - Complete backend rewrite to work almost exclusively off the API [so it's MUCH faster],
  and a reorganized (and more accessible!) main menu.
* SMPL - Has been reworked to be much faster and friendlier to use.
  The default page now shows the top 5 items from the queue and history.
  The queue and history are also now pages to stop loading a massive number of items.
Bugfixes:
* Sure!
